using Microsoft.AspNetCore.Mvc;
using Silk_Road_Api.Models;
using Silk_Road_Api.ViewModels;

namespace Silk_Road_Api.Services;

public interface IDrugService
{
    public Task<DrugViewModel> GetDrug(ControllerBase controller, int id);
    public Task<SearchOutput<DrugViewModel>> GetDrugs(ControllerBase controller, SearchInput input);
    public Task<bool> AddDrug(ControllerBase controller, DrugViewModel drugViewModel);
    public Task<bool> UpdateDrug(ControllerBase controller, DrugViewModel drugViewModel);
    public Task<bool> DeleteDrug(ControllerBase controller, int id);
    public void GenerateDrugs();

    public Task<List<ChartViewModel>> GetChartData();
}
